Bug 219766 - databases/ip4r: update to 2.2
Summary: databases/ip4r: update to 2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-04 09:33 UTC by Jov
Modified: 2017-08-03 05:04 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
ip4r-2.2.patch (3.45 KB, patch)
2017-06-04 09:33 UTC, Jov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jov 2017-06-04 09:33:35 UTC
Created attachment 183193 [details]
ip4r-2.2.patch

update ip4r to 2.2:
1.pgFoundry is not maintained,development of ip4r now move to github:https://github.com/RhodiumToad/ip4r
2.update SORBS patch to 2.2,the old 2.x patch do not work for 2.2.
3.change do-install to default behaviour,because now the extension framework can install everything correctly.
Comment 1 Jov 2017-08-01 12:08:09 UTC
ping
Comment 2 Jov 2017-08-03 01:59:09 UTC
Does anyone take a look?
Comment 3 commit-hook freebsd_committer 2017-08-03 02:29:34 UTC
A commit references this bug:

Author: pi
Date: Thu Aug  3 02:29:05 UTC 2017
New revision: 447193
URL: https://svnweb.freebsd.org/changeset/ports/447193

Log:
  databases/ip4r: update 2.0 -> 2.2

  - moved to github
  - set LICENSE

  PR:		219766
  Changes:	https://github.com/RhodiumToad/ip4r
  Submitted by:	Jov <amutu@amutu.com>
  Approved by:	tobez (maintainer timeout)

Changes:
  head/databases/ip4r/Makefile
  head/databases/ip4r/distinfo
  head/databases/ip4r/pkg-descr
  head/databases/ip4r/pkg-plist
Comment 4 Kurt Jaeger freebsd_committer 2017-08-03 02:29:48 UTC
Committed, thanks!